Subject: bug#60001: [PATCH] Improve completion of treesit-check-indent command

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Dec 2022 16:00:24 +0200

> Date: Mon, 12 Dec 2022 11:53:00 +0100
> From:  Daniel Martín via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> The treesit-check-indent command is not really related to Tree-sitter
> and could be in a more general place than treesit.el.  WDYT?

I agree, but then we'd need a definition for it that doesn't need
tree-sitter support.  Is that easy to provide?

> In any case, I have a patch to improve this command a bit by offering
> more accurate completion for major modes, not Emacs commands.  I have
> also tried to improve its documentation a bit.

How about a read-major-mode function in subr.el?

But I think all these generalizations and improvements should go to
master.  On the release branch, I'd prefer to leave
treesit-check-indent alone.